# frozen_string_literal: true

require_relative 'lib/puma_log_stats/version'

Gem::Specification.new do |spec|
  spec.name          = 'puma_log_stats'
  spec.version       = PumaLogStats::VERSION
  spec.authors       = ['Will Jordan']
  spec.email         = ['will@code.org']

  spec.summary       = 'Logs Puma stats when concurrent requests are high.'
  spec.description   = 'Puma plugin to log server stats whenever the number ' \
                       'of concurrent requests exceeds a configured threshold.'
  spec.homepage      = 'https://github.com/wjordan/puma_log_stats'
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.3.0')

  spec.metadata['allowed_push_host'] = 'https://rubygems.org/'

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/wjordan/puma_log_stats'
  spec.metadata['changelog_uri'] = 'https://github.com/wjordan/puma_log_stats/CHANGELOG.md'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'puma', '>= 2.7', '< 6'

  spec.add_development_dependency 'minitest'
  spec.add_development_dependency 'rake'
end
